import { ConnectionService } from '../api/connection.service';
import { Constants } from '../core.consts';
import { Product } from '../interfaces/product';
export declare class PaginationService {
    private connection;
    private constants;
    private api;
    private limit;
    private params;
    private nextSubject;
    private finishedSubject;
    private finished;
    total: number;
    waiting: boolean;
    next: import("rxjs").Observable<Product[]>;
    finished$: import("rxjs").Observable<boolean>;
    constructor(connection: ConnectionService, constants: Constants);
    initialize(api: any, limit?: any, initialValues?: any): void;
    getNext(next?: any): boolean;
    private updatePageData;
    private finalize;
    cleanRoute: (route: string) => string;
    getPage(totalItems: number, currentPage?: number, pageSize?: number): void;
    isFinished: () => any;
}
